Summary: Asianux Locale Configurator:
Name: asianux-locale
Version: 0.2
Release: 4AX
URL: http://www.miraclelinux.com
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Source1: remove-ko_KR.sh
Source2: remove-zh_CN.sh
Patch: asianux-locale-0.2-replace-smb_conf.patch
Patch1: asianux-locale-0.2-replace-language-files.patch
BuildRequires: python-tools
Requires: pygtk2 >= 1.99.11, pygtk2-libglade, python2
Requires: sed, gawk

%description
Asianux Locale Configurator (asianux-locale) is a GUI based tool which
provides an easy way for a user to configure his or her locale of
preference.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/{pixmaps,asianux-locale}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/khwtree/GroupSys
install -m644 asianux-locale.xpm $RPM_BUILD_ROOT/%{_prefix}/share/pixmaps
install -m644 asianux-locale.desktop $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/khwtree/GroupSys
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_prefix}/share/asianux-locale/
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/%{_prefix}/share/asianux-locale/

%clean
rm -fr $RPM_BUILD_ROOT

%preun
if [ -d /usr/share/%{name} ] ; then
    rm -rf /usr/share/%{name}/*.pyc
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-tui.sh
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/%{name}.xpm
%{_sysconfdir}/sysconfig/khwtree/GroupSys/%{name}.desktop

%changelog
* Wed Dec 20 2006 Hua Jie <jiehua@redflag-linux.com> 0.2-4AX
- support changing language files

* Tue Sep 12 2006 Hua Jie <jiehua@redflag-linux.com> 0.2-3AX
- modify ~/.smb/smb.conf when change language
- so it can work for current language
- but this is only for samba-3.0.14a and samba-3.0.20b
- it will not be modified for other version of samba

* Mon Nov 21 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-2AX
- filter out unnecessary quote in language strings

* Wed Nov  2 2005 Shiro Yamada <shiro@miraclelinux.com> 0.2-1AX
- make it works with both AX10 and AX20

* Wed May 25 2005 Park Jong O <jopark@haansoft.com> 0.1-5AX
- add ko.po, zh_CN.po and zh_TW.po
- add Korean and Chinese name in asianux-locale.desktop

* Fri May 20 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-4AX
- resize window
- fix a typo in main window

* Wed May 11 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-3AX
- fix it to make it work with zh_CN and zh_TW

* Mon May  9 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-2AX
- unset SYSFONTACM if locale is UTF-8

* Fri Jan 18 2005 Shiro Yamada <shiro@miraclelinux.com> 0.1-1AX
- initial packaging

